#set my-hostname "ayochat.or.id" 67.220.72.152
#set my-hostname "a.b.c.d.e.f.g.h.i.j.k.l.m.n.o.pr0.us"
set my-ip "1.0.0.0"
set nick "nol"
set owner "dex"
set basechan "#indomie"
set username "dex"

#################################################
############ !! NO NEED TO CHANGE !! ############
#################################################

set altnick "duck"
set nickpass "duck"
set cfgfile "language/${nick}"
listen 19753 all
set userfile "ayochat.usr"
set chanfile "ayochat.chn"
set admin "dex"
set kick-bogus-invites 1
set default-flags "hp"
set network "AyoChat"
set timezone "GMT"
set max-logs 5
set max-logsize 0
set quick-logs 0
set log-time 1
set keep-all-logs 0
set switch-logfiles-at 300
set console "mkcobxs"
set sort-users 0
set notify-newusers "$owner"
set help-path "language/"
set temp-path "language/"
set motd "motd"
set whois-fields "dex"
set realname "Owned by dex"
set protect-telnet 0
set dcc-sanitycheck 0
set ident-timeout 30
set mod-path "modules/"

##### MODULES #####
loadmodule transfer
set require-p 0
set open-telnets 0
set stealth-telnets 1
set connect-timeout 15
set dcc-flood-thr 3
set telnet-flood 5:60
set resolve-timeout 15
set ignore-time 15
set debug-output 0
set hourly-updates 00
set remote-boots 2
set share-unlinks 1
set die-on-sighup 0
set die-on-sigterm 0
unbind dcc n tcl *dcc:tcl
unbind dcc n set *dcc:set
set must-be-owner 0
unbind dcc n simul *dcc:simul
set max-dcc 50
set dcc-portrange 1024:65535
set enable-simul 1
set allow-dk-cmds 1

##### CHANNEL MODULES #####
loadmodule channels
set ban-time 120
set exempt-time 0
set invite-time 0
set share-greet 0
set use-info 1
set global-flood-chan 10:60
set global-flood-deop 3:10
set global-flood-kick 3:10
set global-flood-join 5:60
set global-flood-ctcp 3:60
set global-flood-nick 5:60

##### SERVER MODULES #####
loadmodule server
set net-type 3
set init-server { putserv "MODE $botnick +iw-s" }
set revenge-mode 1
set keep-nick 1
set use-ison 1
set strict-host 0
set quiet-reject 1
set lowercase-ctcp 0
set answer-ctcp 3
set flood-msg 5:60
set flood-ctcp 3:60
set never-give-up 1
set strict-servernames 0
set default-port 6667
set server-cycle-wait 40
set server-timeout 30
set servlimit 0
set check-stoned 1
set use-console-r 0
set serverror-quit 0
set max-queue-msg 300
set double-mode 0
set double-server 0
set double-help 0
set trigger-on-ignore 0
set use-silence 0
set check-mode-r 0

##### CTCP MODULES #####
loadmodule ctcp
set ctcp-mode 0

##### IRC MODULES #####
loadmodule irc
set bounce-bans 1
set bounce-modes 0
set max-bans 20
set max-modes 30
set allow-desync 0
set kick-bogus 0
set ban-bogus 0
set kick-fun 0
set ban-fun 0
set learn-users 0
set wait-split 100
set wait-info 180
set mode-buf-length 200
unbind msg - hello *msg:hello
unbind msg - ident *msg:ident
set no-chanrec-info 0
set bounce-exempts 0
set bounce-invites 0
set max-exempts 0
set max-invites 0
set kick-method 1
set modes-per-line 3
set use-354 0
set max-dloads 3
set dcc-block 0
set copy-to-tmp 1
set xfer-timeout 30

##### SHARE MODULES #####
loadmodule share
set allow-resync 0
set resync-time 300
set private-owner 0
set private-global 0
set private-globals "mnot"
set private-user 0

##### SYSTEM MODULES #####
loadmodule filesys
set files-path ""
set incoming-path ""
set upload-to-pwd 0
set filedb-path "language/"
set max-file-users 20
set max-filesize 1024

##### NOTES MODULES #####
loadmodule notes
set notefile "ayochat.notes"
set max-notes 50
set note-life 1
set allow-fwd 0
set notify-users 0
set notify-onjoin 0

##### CONSOLE MODULES #####
loadmodule console
set console-autosave 1
set force-channel 0
set info-party 0
checkmodule blowfish
loadmodule assoc
loadmodule wire

set servers {
irc.dal.net:6667
}

# Set here the SSL Variable 
#   0 = non-ssl servers (EFnet, IRCnet, Undernet, Dalnet, etc...) 
#   1 = ssl servers (Linknet, SwapQuest, etc...) 
#set use-ssl 1

##### SCRIPTS MODULES #####
source scripts/alltools.tcl
source scripts/dex.tcl
source scripts/duckhunt.tcl